Package com.logicaldoc.core.automation

# Class CollectionTool

java.lang.Object
com.logicaldoc.core.automation.CollectionTool

public class CollectionTool extends Object
Utility methods to handle collections

Since:
  8.7.4
Author:
  Marco Meschieri - LogicalDOC

## Constructor Summary

Constructors
Constructor
Description
`CollectionTool()`

## Method Summary

Modifier and Type
Method
Description
`Object[]`
`toArray(List<Object> list)`
Converts an array into a list
`List<Object>`
`toList(Object[] array)`
Converts an array into a list

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CollectionTool

public CollectionTool()

## Method Details

### toList

public List<Object> toList(Object[] array)
Converts an array into a list

Parameters:
  `array` - the array to process
Returns:
  the list
Since:
  8.7.4

### toArray

public Object[] toArray(List<Object> list)
Converts an array into a list

Parameters:
  `list` - the list to process
Returns:
  the array
Since:
  8.7.4